import pygame

pygame.init()

W = 800
H = 400
vindu = pygame.display.set_mode((W, H))
pygame.display.set_caption("Bilder")

clock = pygame.time.Clock()
FPS = 30

# Bilder
fisk = pygame.image.load("assets/fish.png")
fisk_rect = fisk.get_rect()
fisk_rect.center = (W//2, H//2)

reke = pygame.image.load("assets/reke.png")
reke = pygame.transform.scale_by(reke, 0.7)
reke = pygame.transform.flip(reke, flip_x=True, flip_y=False)
reke_rect = reke.get_rect()
reke_rect.center = (100, H//2)

# Tekst - kan bruke .otf eller .ttf
font = pygame.font.Font("assets/coolvetica.otf", 32)
tekst = font.render("Fiskespillet", True, "black")
tekst_rect = tekst.get_rect()
tekst_rect.center = (W//2, 20)

font2 = pygame.font.Font("assets/coolvetica.otf", 16)
tekst2 = font2.render("Bruk piltastene for å styre", True, "black")
tekst2_rect = tekst2.get_rect()
tekst2_rect.center = (W//2, H - 15)

# Hovedløkke
running = True
once = 0
while running:
    # Sjekk om bruker prøver å avslutte
    for event in pygame.event.get():
        if event.type == pygame.QUIT:
            running = False

    vindu.fill("lightblue")
    # Vis bilder
    vindu.blit(fisk, fisk_rect)
    vindu.blit(reke, reke_rect)
    # Vis tekst
    vindu.blit(tekst, tekst_rect)
    vindu.blit(tekst2, tekst2_rect)

    # Linjer over og under
    pygame.draw.line(vindu, "black", (0, 45), (W, 45), 3)
    pygame.draw.line(vindu, "black", (0, H - 25), (W, H - 25), 3)

    pygame.display.flip()
    clock.tick(FPS)

pygame.quit()